summaryrefslogtreecommitdiffstats
path: root/test/convert_old_theme_test.sh
diff options
context:
space:
mode:
authorDave Davenport <qball@gmpclient.org>2017-05-14 18:22:27 +0200
committerDave Davenport <qball@gmpclient.org>2017-05-14 18:22:27 +0200
commite4c935c764d1e1d1425c6615d4258a6e9f2a584d (patch)
tree8be7ad98b7a409c15593875a521446c2b29831c6 /test/convert_old_theme_test.sh
parent4e7aa06333341e5f0c76c909355ff00614c1ae0f (diff)
Add a old theme conversion test and default theme dump test.
Diffstat (limited to 'test/convert_old_theme_test.sh')
-rwxr-xr-xtest/convert_old_theme_test.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/convert_old_theme_test.sh b/test/convert_old_theme_test.sh
new file mode 100755
index 00000000..2b362627
--- /dev/null
+++ b/test/convert_old_theme_test.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+TOP_DIR=$1
+
+rofi -config ${TOP_DIR}/doc/old-theme-convert-input.theme -dump-theme > temp.txt
+
+if ! diff temp.txt ${TOP_DIR}/doc/old-theme-convert-output.rasi > /dev/null
+then
+ echo "Dump default theme does not match."
+ diff temp.txt ${TOP_DIR}/doc/old-theme-convert-output.rasi
+ exit 1;
+fi
+
+exit ${RETV}